LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XContentProviderSupplier Interface Referencepublished

a supplier for a content provider. More...

`import"XContentProviderSupplier.idl";`

Inheritance diagram for XContentProviderSupplier:

## Public Member Functions
com::sun::star::ucb::XContentProvider | getContentProvider ()
| returns a content provider. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a supplier for a content provider.

Version
  1.0

See also
  XContentProvider

## Member Function Documentation

## ◆ getContentProvider()

com::sun::star::ucb::XContentProvider getContentProvider | ( |  | ) |

returns a content provider.

Returns
  a content provider.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentProviderSupplier.idl